// definiamo ed inizializziamo due costanti di tipo intero per memorizzare ...
const int pinBottone = 2;      // ... il numero del pin al quale abbiamo collegato il bottone
const int pinLED = 11;         // ... il numero del pin al quale abbiamo collegato il LED

// questa invece è una variabile (nel corso del programma, può cambiare valore):
int statoBottone = LOW;        // variabile per leggere lo stato (premuto/sollevato) del bottone

void setup() {
  pinMode(pinLED, OUTPUT);     // inizializza il pin del LED come un output
  pinMode(pinBottone, INPUT);  // inizializza il pin del bottone come un input
}

void loop() {
  statoBottone = digitalRead(pinBottone);  // legge lo stato del bottone e lo assegna alla variabile

  // controlliamo ora se il pulsante è premuto...
  if (statoBottone == HIGH) {     // se lo è, la variabile statoBottone è HIGH:
    digitalWrite(pinLED, HIGH);   // accendi il LED 
  } else {                        // altrimenti
    digitalWrite(pinLED, LOW);    // spegni il LED 
  }
}


