// definiamo ed inizializziamo due costanti di tipo intero per memorizzare ...
const int pinPot = A0;      // ... il numero del pin al quale abbiamo collegato il potenziometro
const int pinLED = 11;      // ... il numero del pin al quale abbiamo collegato il LED

// questa invece è una variabile (nel corso del programma, può cambiare valore):
int valorePot = 0;          // variabile che ospita il valore letto dal potenziometro

void setup() {
  pinMode(pinLED, OUTPUT);  // inizializza il pin del LED come un output
  Serial.begin(9600);       // apre la comunicazione seriale con il computer (alla velocità di 9600 bps)
}

void loop() {
  valorePot = analogRead(pinPot);  // legge il valore dal potenziometro e lo assegna alla variabile
  Serial.print("Valore letto dal potenziometro: ");   // scrive verso il computer la stringa riportata tra apici
  Serial.println(valorePot);       // scrive verso il computer il valore della variabile valorePot e va a capo
  analogWrite(pinLED, valorePot*(255.0/1023.0));  // scrive sul pin del LED un valore proporzionale a quello letto
  delay(20);                // aspetta un cinquantesimo di secondo (20 millisecondi)
}

